Subject: Re: [bug#31999] [PATCH 4/7] gnu: lvm2: Add device-mapper-event support.

From: Marius Bakke <[email-masked]>
Date: Mon, 30 Jul 2018 00:33:34 +0200

Pierre Neidhardt <[email-masked]> writes:

> * GNU/packages/linux.scm (lvm2)[configure-flags]: Build device-mapper-event.

This changes more than just configure-flags, can you update the commit
message accordingly?

[...]

> diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
> index 70615df93..e27c9b475 100644
> --- a/gnu/packages/linux.scm
> +++ b/gnu/packages/linux.scm
> @@ -2127,12 +2127,24 @@ time.")
>                                 "--enable-udev_sync"
>                                 "--enable-udev_rules"
>                                 "--enable-pkgconfig"
> +                               "--enable-cmdlib"
> +                               "--enable-dmeventd" ; Requires '--enable-cmdlib'.
>  
>                                 ;; Make sure programs such as 'dmsetup' can
>                                 ;; find libdevmapper.so.
>                                 (string-append "LDFLAGS=-Wl,-rpath="
>                                                (assoc-ref %outputs "out")
> -                                              "/lib"))
> +                                              "/lib,-rpath="
> +                                              (assoc-ref %outputs "out")
> +                                              "/lib/device-mapper")
> +                               ;; TODO: Patch make.tmpl.in to take LDFLAGS
> +                               ;; into account so that we don't need to also
> +                               ;; set CLDFLAGS.
> +                               (string-append "CLDFLAGS=-Wl,-rpath="
> +                                              (assoc-ref %outputs "out")
> +                                              "/lib,-rpath="
> +                                              (assoc-ref %outputs "out")
> +                                              "/lib/device-mapper"))

Did you try patching the Make template?

I suppose this is okay, though I'm curious about the LDFLAGS/CLDFLAGS
distinction.